<?
// страницы логина и регистрации
//linkОсновнойСай
$st="<a href=\"http://wapstats.net/in/4762/\"><img src=\"http://wapstats.net/s/4762.gif\" alt=\"wapstats.net\" /></a>";
$online = count($game['players']);
$gz_time=date("H:i:s");
$gz_day=date("d.m.y");
$gz_ip=$ip;
$year = date('d.m.Y');
$times = date('H:i');
$vremya = "$year $times";
$version=" 1.1.5";
$subt = file_get_contents("max_on.dat");
$max = explode("|", $subt);
$max_onl = $max[0];
$max_on_time = $max[1];
if ($online >= $max_onl)
{
$fp55 = fopen("max_on.dat", 'w');
fwrite($fp55, "$online|$vremya|");
fclose($fp55);
}
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || index.php /ГЛАВНАЯ\n");
fclose($fp);
$file=@file('data/news.dat');
$file = array_reverse($file);
$newsdate=explode('||',$file[0]);
if ($tmp==''){
 msg("<center><a href=\"wml.php\">[WML]</a><br/>
 <img src=\"dragon.gif\" width=\"107\" height=\"122\" alt=\"Dragon\" /><br/>
<strong>Жизнь Дракона</strong><br/>(ред. $version)
<br/><br><a href=\"$PHP_SELF?site=news\">Новости</a><br>
<div style=\"background-color:lime\"><hr/><center>-<a href=\"?site=connect\">Вход</a>-<hr/></div>
<br/><a href=\"$PHP_SELF?site=reg\">Регистрация</a>
<br/><a href=\"?site=online\">Сейчас в игре ".count($game["players"])."</a>
<br/>Максимум: $max_onl<br>[$max_on_time]<br/>***
<br/><a href=\"gamukas.php?log=rule\">Правила</a>
<br/><a href=\"$PHP_SELF?site=chat\">Чат игры</a>
<br/><a href=\"$PHP_SELF?site=chat2\">Викторина игры</a>
<br/><a href=\"gamukas.php?log=main\">Статьи и ссылки</a>
<br/><a href=\"?site=game\">О игре</a>
<br/>***<br/>
<a href=\"?site=gildlist\">Список Гильдии</a>
<br/><a href=\"test.php\">Так видит Вас игра</a>
<br/>[$st]<br/>
© lifedragon.ru<br>
2009
",$game_title,0,'none');
}
if ($site=='') {	//linkЛогин
header("Location: index.php");
msg($stmp,$game_title,0,'none');
}
if ($site=='chn') {
if (!$login) exit("None Login and Password<hr/><a href=\"index.php\">В начало</a>");
if (!$p) exit("None Login and Password<hr/><a href=\"index.php\">В начало</a>");
if (!$do){
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p /проверка секрета\n");
fclose($fp);
$grad.="<span style=\"color:red\"><strong>СЕКРЕТ</strong></span>";
$grad.="<form action=\"$PHP_SELF?site=chn&do=ok\" method=\"post\">
<input type=\"hidden\" name=\"login\" value=\"$login\" />
<input type=\"hidden\" name=\"p\" value=\"$p\" />";
$grad.="<input name=\"sekret\">
<br/><input type=\"submit\" value=\"Потвердить\">";
}else{
if ($do!="ok") msg("None DO<hr/><a href=\"?\">В начало</a>",ERROR,0,'none');
$info=split("\|",$game['loc'][$game['players'][$login]][$login]['info']);
if ($sekret!=$info[5]) {$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret  /секрет не прваельный\n");
fclose($fp);
 msg("Вы указали неправельные регистрациональные данные!<hr/><a href=\"?\">В начало</a>",Внимание,0,'none');
}
if ($p!=$info[0]){ $fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret /пароль не прваельный\n");
fclose($fp);
msg("Вы указали неправельные регистрациональные данные!<hr/><a href=\"?\">В начало</a>",Внимание,0,'none');
}
$fp=@fopen("agent/$login","w");
fwrite($fp, "$ip");
fclose($fp);
$grad.="Прoверка пройдена!<br/><a href=\"$PHP_SELF?site=connect2&login=$login&p=$p\">Войти</a>";

$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret /проверка прошла успешно\n");
fclose($fp);
}
$grad.="<hr/><a href=\"?\">В начало</a>";
msg($grad,Потвердить,0,'none');
}
if ($site=='connect') {
include "include/connect.php";
}
if ($site=='rules') {
include "include/rules.php";
}
if ($site=='game'){
include "include/gameinfo.php";
}
if ($site=='lostp') {
include "include/lostpassword.php";
}
if ($site=='cpass') {
include "include/changepassword.php";
}
if ($site=='cmail') {
include "include/changemail.php";
}
if ($site=='block') {
include "include/block.php";
}
if ($site=='news') {
include "include/news.php";
}
if ($site=='online') {
include "include/online.php";
}
if ($site=='connect2') {
include "include/connect2.php";
}
if ($site=='reg') {
include "include/reg.php";
}
if ($site=='reg2') {
include "include/reg2.php";
}
if ($site=="chat"){
$stmp.="<span style=\"color:red\"><strong>Чат игры - Жизнь Дракона</strong></span><br/>";
$file = @file("data/chat.dat"); 
if (!$file) {$stmp.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
$stmp.="$udata[0]::<strong>$udata[2]</strong>:<br/>$udata[1]<br/>";
}
if ($start != 0) {$stmp.="<br/><a href=\"$PHP_SELF?site=chat&start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$stmp.="<br/><a href=\"$PHP_SELF?site=chat&start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $stmp.="<br/><a href=\"$PHP_SELF?site=chat&start=0\">Вверх</a>";
$stmp.="<br/><a href=\"$PHP_SELF?site=chat&start=$start\">Обновить</a>";
$stmp.="<hr/><a href=\"$PHP_SELF\">В начало</a>";
msg($stmp,"Чат игры",0,'none');
}
if ($site=="chat2"){
$stmp.="<span style=\"color:red\"><strong>Викторина игры - Жизнь Дракона</strong></span><br/>";
$file = @file("vict/vict.dat"); 
if (!$file) {$stmp.="- нет сообщений -";} else {
$total=count($file);
$file=array_reverse($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 6){ $end = $total; }
else {$end = $start + 6; }
for ($i = $start; $i < $end; $i++){
$udata = explode("||",$file[$i]);
if (!$udata[5]) $udata[5]=0;
$stmp.="$udata[0]::<strong>$udata[2]</strong>:<br/>$udata[1]<br/>";
}
if ($start != 0) {$stmp.="<br/><a href=\"$PHP_SELF?site=chat2&start=".($start - 6)."\">Назад</a>";}
if ($total > $start + 6) {$stmp.="<br/><a href=\"$PHP_SELF?site=chat2&start=".($start + 6)."\">Далее</a>";}
}
if ($start != 0) $stmp.="<br/><a href=\"$PHP_SELF?site=chat2&start=0\">Вверх</a>";
$stmp.="<br/><a href=\"$PHP_SELF?site=chat2&start=$start\">Обновить</a>";
$stmp.="<hr/><a href=\"$PHP_SELF\">В начало</a>";
msg($stmp,"Чат игры",0,'none');
}
if ($site=='gildlist') {
$gilds = implode("",file("gilds.dat"));
$gilds = unserialize($gilds);
$stmp.="\n<span style=\"color:red\"><strong>Список Гильдии</strong></span>:";
$ind=0;
                $count=0;
                if ($start<0 || !$start) $start=0;
                $pl=array_keys($gilds);
                foreach($pl as $i) {
                        if ($ind>=$start) {
$stmp.="\n<br/>".$i."";
                        $count++;
                        if ($count>=10) break;        // след. страница, если слишком много человек или предметов
                        }
                        $ind++;
                        }
if ($start && $start-10>=0) $stmp.="\n<br/><a href=\"$PHP_SELF?site=gildlist&start=".($start-10)."\">[-]</a>";
if ($count+$start<10) {if (!$start) $stmp.="\n<br/>"; $stmp.= " <a href=\"$PHP_SELF?site=gildlist&start=".($count+$start)."\">[+]</a>";}
$stmp.="<br/><a href=\"$PHP_SELF\">(+)</a>";
msg($stmp, "Список Гильдии");
         }
?>